// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2021 Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


using System;
using Hiperscan.Common.CommandLineArgsParser;
using Hiperscan.Unix;

namespace Hiperscan.Extensions.ApoIdentSoftwareUpgrade
{
    class MainClass
    {

        public static void Main(string[] args)
        {
            try
            {
                Catalog.Init("Hiperscan", ".");

                Args parameters = null;

                try
                {
                    parameters = new Args("software-upgrader", args);
                }
                catch (Exception ex)
                {
                    string message = String.Format(Catalog.GetString("Error reading parameters: {0}"), ex.Message);
                    message = "\n" + message + "\n";
                    Console.WriteLine(message);
                    Option.ExitCode = -1;
                    parameters = new Args("software-upgrader", new string[] { "--help" });
                 }

                Upgrader upgrader = new Upgrader(parameters);
                upgrader.Start();
            }
            catch (Exception ex)
            {
                Console.WriteLine("Unkonwn error: {0}", ex.Message);
                Environment.Exit(1);
            }

            Environment.Exit(0);
        }


    }



}
